#
# spec file for package libmaa
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define soname 4

Name:           libmaa
Version:        1.4.2
Release:        1.1
Summary:        Library providing many low-level data structures
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Url:            http://www.dict.org
Source0:        https://downloads.sourceforge.net/dict/%{name}-%{version}.tar.gz
Patch0:         02-Spelling-typos.patch
Patch1:         03-Fix-gcc-8-ftbfs.patch
BuildRequires:  bison
BuildRequires:  bmake
BuildRequires:  flex
BuildRequires:  libtool
BuildRequires:  mk-configure
BuildRequires:  pam-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
The libmaa library provides many low-level data structures which can
be used for writing compilers, hash tables, sets, lists,
debugging support, and memory management. libmaa was originally
implemented as a foundation for the "kheperalong" package.

%package -n %{name}%{soname}
Summary:        Library providing many low-level data structures
Group:          System/Libraries

%description -n %{name}%{soname}
The libmaa library provides many low-level data structures which can
be used for writing compilers, hash tables, sets, lists,
debugging support, and memory management. libmaa was originally
implemented as a foundation for the "kheperalong" package.

%package -n %{name}-devel
Summary:        Development files for libmaa
Group:          Development/Libraries/C and C++
Requires:       libmaa%{soname} = %{version}

%description -n %{name}-devel
This RPM contains the development files for libmaa.

%package doc
Summary:        Documentation files for libmaa
Group:          Documentation/Other
BuildArch:      noarch

%description doc
This RPM contains the documentation files for libmaa.

%prep
%setup -q
%autopatch -p 1

%build
mkcmake PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
mkcmake install DESTDIR=%{?buildroot} \
    PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
rm -rf %{buildroot}%{_datadir}/doc/libmaa

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%license doc/LICENSE
%doc README doc/NEWS
%{_libdir}/*.so.*

%files -n %{name}-devel
%{_includedir}/maa*
%{_libdir}/*.so

%files doc
%license doc/LICENSE
%doc doc/*.ps*

%changelog
* Mon Jan 28 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from descriptions. Set proper RPM groups,
  and noarch status for doc subpackage.
- Drop silly glibc PreReq.
* Sat Jan 26 2019 mcepl@suse.com
- Upgrade to libmaa-1.4.2:
  * Fix build failure on SunOS-5.11 (alloca)
  * License has been changed from LGPL to MIT, permitted by Rik
    Faith, original author of this library.
  * Build system changed from autotools to mk-configure.
  * Library version/soname was bumped from 3 to 4. I cannot
    guarantee that mk-configure and libtool build shared library
    the same way.
  * Tests were added for stk_*, mem_* and prm_* functions.
  * stk_isempty function was added.
  * stk_* and other was reimplemented without obstack functions
    (glibc extension).
* Tue Oct  9 2018 mcepl@suse.com
- Add 02-Spelling-typos.patch and 03-Fix-gcc-8-ftbfs.patch from Debian
  package.
* Sun Nov 27 2011 brunciter@localhost.lan
- initial package
